| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
Filter.h File Reference

The processing unit of the SDK can perform point cloud generation, format conversion and other functions. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_filter * | ob_create_pointcloud_filter (ob_error **error)
| Create PointCloud Filter. More...
void | ob_pointcloud_filter_set_camera_param (ob_filter *filter, ob_camera_param param, ob_error **error)
| PointCloud Filter device camera parameters. More...
void | ob_pointcloud_filter_set_point_format (ob_filter *filter, ob_format type, ob_error **error)
| Set point cloud type parameters. More...
void | ob_pointcloud_filter_set_frame_align_state (ob_filter *filter, bool state, ob_error **error)
| Set the alignment state of the frames that will be input to produce the point cloud. More...
void | ob_pointcloud_filter_set_position_data_scale (ob_filter *filter, float scale, ob_error **error)
| Set the point cloud data scaling factor. More...
void | ob_pointcloud_filter_set_color_data_normalization (ob_filter *filter, bool state, ob_error **error)
| Set point cloud color data normalization. More...
ob_filter * | ob_create_format_convert_filter (ob_error **error)
| Create FormatConvet Filter. More...
void | ob_format_convert_filter_set_format (ob_filter *filter, ob_convert_format type, ob_error **error)
| Set the type of format conversion. More...
ob_filter * | ob_create_compression_filter (ob_error **error)
| Create compression Filter. More...
void | ob_compression_filter_set_compression_params (ob_filter *filter, ob_compression_mode mode, void *params, ob_error **error)
| Set compression parameters. More...
ob_filter * | ob_create_decompression_filter (ob_error **error)
| Create decompression Filter. More...
void | ob_filter_reset (ob_filter *filter, ob_error **error)
| Filter reset, cache clear, state reset. If the asynchronous interface is used, the processing thread will also be stopped and the pending cache frames will be cleared. More...
ob_frame * | ob_filter_process (ob_filter *filter, ob_frame *frame, ob_error **error)
| Filter processing (synchronous interface) More...
void | ob_filter_set_callback (ob_filter *filter, ob_filter_callback callback, void *user_data, ob_error **error)
| Filter Set the processing result callback function (asynchronous callback interface) More...
void | ob_filter_push_frame (ob_filter *filter, ob_frame *frame, ob_error **error)
| filter Push the frame into the pending cache (asynchronous callback interface) More...
void | ob_delete_filter (ob_filter *filter, ob_error **error)
| Delete Filter. More...

## Detailed Description

The processing unit of the SDK can perform point cloud generation, format conversion and other functions.

Definition in file Filter.h.

## Function Documentation

ob_filter* ob_create_pointcloud_filter | ( | ob_error ** | error | ) |

Create PointCloud Filter.

Parameters

  [out] | error | Log error messages

Returns
  filter pointcloud_filter object

void ob_pointcloud_filter_set_camera_param | ( | ob_filter * | filter,
|  | ob_camera_param | param,
|  | ob_error ** | error
| ) |  |

PointCloud Filter device camera parameters.

Parameters

  [in] | filter | pointcloud_filter object
  [in] | param | Camera parameters
  [out] | error | Log error messages

void ob_pointcloud_filter_set_point_format | ( | ob_filter * | filter,
|  | ob_format | type,
|  | ob_error ** | error
| ) |  |

Set point cloud type parameters.

Parameters

  [in] | filter | pointcloud_filter object
  [in] | type | Point cloud type: depth point cloud or RGBD point cloud
  [out] | error | Log error messages

void ob_pointcloud_filter_set_frame_align_state | ( | ob_filter * | filter,
|  | bool | state,
|  | ob_error ** | error
| ) |  |

Set the alignment state of the frames that will be input to produce the point cloud.

Parameters

  [in] | filter | pointcloud_filter object
  [in] | state | Alignment status, True: aligned; False: unaligned
  [out] | error | Log error messages

void ob_pointcloud_filter_set_position_data_scale | ( | ob_filter * | filter,
|  | float | scale,
|  | ob_error ** | error
| ) |  |

Set the point cloud data scaling factor.

Attention
  Calling this function to set the scale will change the point coordinate scaling factor of the output point cloud frame: posScale = posScale / scale.The point coordinate scaling factor for the output point cloud frame can be obtained via ob_points_frame_get_position_value_scale function

Parameters

  [in] | filter | object
  [in] | scale | Set the point cloud coordinate data zoom factor
  [out] | error | Log error messages

void ob_pointcloud_filter_set_color_data_normalization | ( | ob_filter * | filter,
|  | bool | state,
|  | ob_error ** | error
| ) |  |

Set point cloud color data normalization.

Parameters

  [in] | filter | object
  [in] | state | Sets whether the point cloud color data is normalized
  [out] | error | Log error messages

ob_filter* ob_create_format_convert_filter | ( | ob_error ** | error | ) |

Create FormatConvet Filter.

Parameters

  [out] | error | Log error messages

Returns
  filter format_convert object

void ob_format_convert_filter_set_format | ( | ob_filter * | filter,
|  | ob_convert_format | type,
|  | ob_error ** | error
| ) |  |

Set the type of format conversion.

Parameters

  [in] | filter | formatconvet_filter object
  [in] | type | Format conversion type
  [out] | error | Log error messages

ob_filter* ob_create_compression_filter | ( | ob_error ** | error | ) |

Create compression Filter.

Parameters

  [out] | error | Log error messages

Returns
  filter depth_filter object

void ob_compression_filter_set_compression_params | ( | ob_filter * | filter,
|  | ob_compression_mode | mode,
|  | void * | params,
|  | ob_error ** | error
| ) |  |

Set compression parameters.

Parameters

  [in] | filter | compression_filter object
  [in] | mode | Compression mode OB_COMPRESSION_LOSSLESS or OB_COMPRESSION_LOSSY
  [in] | params | Compression params, struct ob_compression_params, when mode is OB_COMPRESSION_LOSSLESS, params is NULL
  [out] | error | Log error messages

ob_filter* ob_create_decompression_filter | ( | ob_error ** | error | ) |

Create decompression Filter.

Parameters

  [out] | error | Log error messages

Returns
  filter decompression Filter object

void ob_filter_reset | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Filter reset, cache clear, state reset. If the asynchronous interface is used, the processing thread will also be stopped and the pending cache frames will be cleared.

Parameters

  [in] | filter | filter object
  [out] | error | Log error messages

ob_frame* ob_filter_process | ( | ob_filter * | filter,
|  | ob_frame * | frame,
|  | ob_error ** | error
| ) |  |

Filter processing (synchronous interface)

Parameters

  [in] | filter | filter object
  [in] | frame | pointer to the frame object to be processed
  [out] | error | Log error messages

Returns
  ob_frame The frame object processed by the filter

void ob_filter_set_callback | ( | ob_filter * | filter,
|  | ob_filter_callback | callback,
|  | void * | user_data,
|  | ob_error ** | error
| ) |  |

Filter Set the processing result callback function (asynchronous callback interface)

Parameters

  [in] | filter | filter object
  [in] | callback |
  [in] | user_data | Arbitrary user data pointer can be passed in and returned from the callback
  [out] | error | Log error messages

void ob_filter_push_frame | ( | ob_filter * | filter,
|  | ob_frame * | frame,
|  | ob_error ** | error
| ) |  |

filter Push the frame into the pending cache (asynchronous callback interface)

Parameters

  [in] | filter | filter object
  [out] | error | Log error messages

void ob_delete_filter | ( | ob_filter * | filter,
|  | ob_error ** | error
| ) |  |

Delete Filter.

Parameters

  [in] | filter | filter object
  [out] | error | Log error messages